#region  == Copyright == 
// =====================================================================
//  Microsoft Consulting Services France - Aymeric Mouill - 2013
//  Projet     : TFS WorkItemTracker - TFS WorkItemTracker
//  Fichier    : SettingsControl.cs (01/05/2013 18:40)
//  
//  Copyright (C) Microsoft Corporation.  All rights reserved.
// =====================================================================
#endregion

namespace TFS.WorkItemTracker
{
    #region  == Using == 
    using System;
    using System.Windows.Forms;

    #endregion

    public partial class SettingsControl : UserControl
    {
        #region = Constructor =
        /// <summary>
        /// Initializes a new instance of the <see cref="SettingsControl" /> class.
        /// </summary>
        public SettingsControl()
        {
            InitializeComponent();
        }
        #endregion

        #region Settings Control Load
        /// <summary>
        /// Handles the Load event of the SettingsControl control.
        /// </summary>
        /// <param name="sender">The source of the event.</param>
        /// <param name="e">
        /// The <see cref="EventArgs" /> instance containing the event data.
        /// </param>
        private void SettingsControl_Load(object sender, EventArgs e)
        {
            propertyGrid.SelectedObject = Properties.Settings.Default;
        }
        #endregion

        #region Property Grid Property Value Changed
        /// <summary>
        /// Handles the PropertyValueChanged event of the propertyGrid control.
        /// </summary>
        /// <param name="s">The source of the event.</param>
        /// <param name="e">
        /// The <see cref="PropertyValueChangedEventArgs" /> instance containing the event data.
        /// </param>
        private void propertyGrid_PropertyValueChanged(object s, PropertyValueChangedEventArgs e)
        {
            Properties.Settings.Default.Save();
        }
        #endregion
    }
}
